package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 提案信息对象 proposal_info
 * 
 * @author boman
 * @date 2024-03-07
 */
public class ProposalInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 提案ID */
    private Long proposalId;

    /** 提案人ID */
    @Excel(name = "提案人ID")
    private Long proposalUserId;

    /** 提案号 */
    @Excel(name = "提案号")
    private String proposalNumber;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 提案人姓名 */
    @Excel(name = "提案人姓名")
    private String proposalName;

    /** 提案人手机号码 */
    @Excel(name = "提案人手机号码")
    private String proposalPhone;

    /** 界别 */
    @Excel(name = "界别")
    private String boundary;

    /** 党派 */
    @Excel(name = "党派")
    private String partyAffiliation;

    /** 联系地址 */
    @Excel(name = "联系地址")
    private String contactAddress;

    /** 提案类别id */
    @Excel(name = "提案类别id")
    private Long categoryId;

    /** 提案类别 */
    @Excel(name = "提案类别")
    private String categoryName;

    /** 提案类型（0大会提案 1平时提案） */
    @Excel(name = "提案类型", readConverterExp = "0=大会提案,1=平时提案")
    private String proposalType;

    /** 提案内容 */
    @Excel(name = "提案内容")
    private String proposalContent;

    /** 联名提案（0是 1否） */
    @Excel(name = "联名提案", readConverterExp = "0=是,1=否")
    private String isJointly;

    /** 同意公开（0是 1否） */
    @Excel(name = "同意公开", readConverterExp = "0=是,1=否")
    private String isPublicity;

    /** 内容公开（0是 1否） */
    @Excel(name = "内容公开", readConverterExp = "0=是,1=否")
    private String contentPublicity;

    /** 经过调研（0是 1否） */
    @Excel(name = "经过调研", readConverterExp = "0=是,1=否")
    private String isSurvey;

    /** 第一次提出（0是 1否） */
    @Excel(name = "第一次提出", readConverterExp = "0=是,1=否")
    private String isFirst;

    /** 由本人撰写（0是 1否） */
    @Excel(name = "由本人撰写", readConverterExp = "0=是,1=否")
    private String isPerson;

    /** 是否立案（0是 1否） */
    @Excel(name = "是否立案", readConverterExp = "0=是,1=否")
    private String isRecord;

    /** 需要办理的协商方式 */
    @Excel(name = "需要办理的协商方式")
    private String negotiateType;

    /** 建议承办单位 */
    @Excel(name = "建议承办单位")
    private String proposedContractor;

    /** 提案进度(0：提交提案，1：提案审查，2：提案立案，3：提案交办，4：办理提案，5：提案反馈，6：办结审核，7：已办结） */
    @Excel(name = "提案进度(0：提交提案，1：提案审查，2：提案立案，3：提案交办，4：办理提案，5：提案反馈，6：办结审核，7：已办结）")
    private String proposalProgress;

    @Excel(name = "打回理由")
    private String backReason;

    /** 滚动办理（0是 1否） */
    @Excel(name = "滚动办理", readConverterExp = "0=是,1=否")
    private String rollingProcess;

    /** 提案答复类型(A：A类，B：B类，C：C类) */
    @Excel(name = "提案答复类型(A：A类，B：B类，C：C类)")
    private String complexType;

    /** 是否被并案（0是 1否） */
    @Excel(name = "是否被并案", readConverterExp = "0=是,1=否")
    private String isCasesTogether;

    /** 被并案的案件id */
    @Excel(name = "被并案的案件id")
    private Long uniteProposalId;

    /** 承办单位答复委员 */
    @Excel(name = "承办单位答复委员")
    private String cbdwdfwy;

    /** 委员满意程度（0：不满意，1：一般，2：满意，3：非常满意） */
    @Excel(name = "委员满意程度", readConverterExp = "0=：不满意，1：一般，2：满意，3：非常满意")
    private String satisfaction;

    /** 委员意见 */
    @Excel(name = "委员意见")
    private String membersOpinion;

    /** 政协满意程度（0：不满意，1：一般，2：满意，3：非常满意） */
    @Excel(name = "政协满意程度", readConverterExp = "0=：不满意，1：一般，2：满意，3：非常满意")
    private String zxSatisfaction;

    /** 政协意见 */
    @Excel(name = "政协意见")
    private String zxOpinion;

    /** 是否推荐重点（0是 1否） */
    @Excel(name = "是否推荐重点", readConverterExp = "0=是,1=否")
    private String isKeyPoint;

    /** 推荐重点理由 */
    @Excel(name = "推荐重点理由")
    private String keyPointArgument;

    /** 是否推荐优秀（0是 1否） */
    @Excel(name = "是否推荐优秀", readConverterExp = "0=是,1=否")
    private String isOutstanding;

    /** 推荐优秀理由 */
    @Excel(name = "推荐优秀理由")
    private String outstandingArgument;


    /** 提案人员 */
    private List<ProposalUser> proposalUserList;
    /** 附件 */
    private List<ZxFj> zxFjList;
    /** 单位回复 */
    private List<ProposalUnitReply> proposalUnitReplyList;



    /** 是否同意联名 */
    private String isAgree;

    /** 部门id */
    private Long deptId;

    /** 单位类型 */
    private String dwType;


    private String endTime;
    private String startTime;
    /**
     * 冗余字段
     */
    private String type;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getBackReason() {
        return backReason;
    }

    public void setBackReason(String backReason) {
        this.backReason = backReason;
    }

    public String getDwType() {
        return dwType;
    }

    public void setDwType(String dwType) {
        this.dwType = dwType;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getIsAgree() {
        return isAgree;
    }

    public void setIsAgree(String isAgree) {
        this.isAgree = isAgree;
    }

    public ProposalUnitReply getZbUnitReply() {
        return zbUnitReply;
    }

    public void setZbUnitReply(ProposalUnitReply zbUnitReply) {
        this.zbUnitReply = zbUnitReply;
    }

    /**主办单位*/
    private ProposalUnitReply zbUnitReply;


    public String getIsKeyPoint() {
        return isKeyPoint;
    }

    public void setIsKeyPoint(String isKeyPoint) {
        this.isKeyPoint = isKeyPoint;
    }

    public String getKeyPointArgument() {
        return keyPointArgument;
    }

    public void setKeyPointArgument(String keyPointArgument) {
        this.keyPointArgument = keyPointArgument;
    }

    public String getIsOutstanding() {
        return isOutstanding;
    }

    public void setIsOutstanding(String isOutstanding) {
        this.isOutstanding = isOutstanding;
    }

    public String getOutstandingArgument() {
        return outstandingArgument;
    }

    public void setOutstandingArgument(String outstandingArgument) {
        this.outstandingArgument = outstandingArgument;
    }

    public List<ProposalUnitReply> getProposalUnitReplyList() {
        return proposalUnitReplyList;
    }


    public String getZxSatisfaction() {
        return zxSatisfaction;
    }

    public void setZxSatisfaction(String zxSatisfaction) {
        this.zxSatisfaction = zxSatisfaction;
    }

    public String getZxOpinion() {
        return zxOpinion;
    }

    public void setZxOpinion(String zxOpinion) {
        this.zxOpinion = zxOpinion;
    }

    public void setProposalUnitReplyList(List<ProposalUnitReply> proposalUnitReplyList) {
        this.proposalUnitReplyList = proposalUnitReplyList;
    }

    public List<ZxFj> getZxFjList() {
        return zxFjList;
    }

    public void setZxFjList(List<ZxFj> zxFjList) {
        this.zxFjList = zxFjList;
    }

    public List<ProposalUser> getProposalUserList() {
        return proposalUserList;
    }

    public void setProposalUserList(List<ProposalUser> proposalUserList) {
        this.proposalUserList = proposalUserList;
    }

    public void setProposalId(Long proposalId)
    {
        this.proposalId = proposalId;
    }

    public Long getProposalId() 
    {
        return proposalId;
    }
    public void setProposalUserId(Long proposalUserId) 
    {
        this.proposalUserId = proposalUserId;
    }

    public Long getProposalUserId() 
    {
        return proposalUserId;
    }
    public void setProposalNumber(String proposalNumber) 
    {
        this.proposalNumber = proposalNumber;
    }

    public String getProposalNumber() 
    {
        return proposalNumber;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setProposalName(String proposalName) 
    {
        this.proposalName = proposalName;
    }

    public String getProposalName() 
    {
        return proposalName;
    }
    public void setProposalPhone(String proposalPhone) 
    {
        this.proposalPhone = proposalPhone;
    }

    public String getProposalPhone() 
    {
        return proposalPhone;
    }
    public void setBoundary(String boundary) 
    {
        this.boundary = boundary;
    }

    public String getBoundary() 
    {
        return boundary;
    }
    public void setPartyAffiliation(String partyAffiliation) 
    {
        this.partyAffiliation = partyAffiliation;
    }

    public String getPartyAffiliation() 
    {
        return partyAffiliation;
    }
    public void setContactAddress(String contactAddress) 
    {
        this.contactAddress = contactAddress;
    }

    public String getContactAddress() 
    {
        return contactAddress;
    }
    public void setCategoryId(Long categoryId) 
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId() 
    {
        return categoryId;
    }
    public void setCategoryName(String categoryName) 
    {
        this.categoryName = categoryName;
    }

    public String getCategoryName() 
    {
        return categoryName;
    }
    public void setProposalType(String proposalType) 
    {
        this.proposalType = proposalType;
    }

    public String getProposalType() 
    {
        return proposalType;
    }
    public void setProposalContent(String proposalContent) 
    {
        this.proposalContent = proposalContent;
    }

    public String getProposalContent() 
    {
        return proposalContent;
    }
    public void setIsJointly(String isJointly) 
    {
        this.isJointly = isJointly;
    }

    public String getIsJointly() 
    {
        return isJointly;
    }
    public void setIsPublicity(String isPublicity) 
    {
        this.isPublicity = isPublicity;
    }

    public String getIsPublicity() 
    {
        return isPublicity;
    }
    public void setContentPublicity(String contentPublicity) 
    {
        this.contentPublicity = contentPublicity;
    }

    public String getContentPublicity() 
    {
        return contentPublicity;
    }
    public void setIsSurvey(String isSurvey) 
    {
        this.isSurvey = isSurvey;
    }

    public String getIsSurvey() 
    {
        return isSurvey;
    }
    public void setIsFirst(String isFirst) 
    {
        this.isFirst = isFirst;
    }

    public String getIsFirst() 
    {
        return isFirst;
    }
    public void setIsPerson(String isPerson) 
    {
        this.isPerson = isPerson;
    }

    public String getIsPerson() 
    {
        return isPerson;
    }
    public void setIsRecord(String isRecord) 
    {
        this.isRecord = isRecord;
    }

    public String getIsRecord() 
    {
        return isRecord;
    }
    public void setNegotiateType(String negotiateType) 
    {
        this.negotiateType = negotiateType;
    }

    public String getNegotiateType() 
    {
        return negotiateType;
    }
    public void setProposedContractor(String proposedContractor) 
    {
        this.proposedContractor = proposedContractor;
    }

    public String getProposedContractor() 
    {
        return proposedContractor;
    }
    public void setProposalProgress(String proposalProgress) 
    {
        this.proposalProgress = proposalProgress;
    }

    public String getProposalProgress() 
    {
        return proposalProgress;
    }
    public void setRollingProcess(String rollingProcess) 
    {
        this.rollingProcess = rollingProcess;
    }

    public String getRollingProcess() 
    {
        return rollingProcess;
    }
    public void setComplexType(String complexType) 
    {
        this.complexType = complexType;
    }

    public String getComplexType() 
    {
        return complexType;
    }
    public void setIsCasesTogether(String isCasesTogether) 
    {
        this.isCasesTogether = isCasesTogether;
    }

    public String getIsCasesTogether() 
    {
        return isCasesTogether;
    }
    public void setUniteProposalId(Long uniteProposalId) 
    {
        this.uniteProposalId = uniteProposalId;
    }

    public Long getUniteProposalId() 
    {
        return uniteProposalId;
    }
    public void setSatisfaction(String satisfaction) 
    {
        this.satisfaction = satisfaction;
    }

    public String getSatisfaction() 
    {
        return satisfaction;
    }
    public void setMembersOpinion(String membersOpinion) 
    {
        this.membersOpinion = membersOpinion;
    }

    public String getMembersOpinion() 
    {
        return membersOpinion;
    }

    public String getCbdwdfwy() {
        return cbdwdfwy;
    }

    public void setCbdwdfwy(String cbdwdfwy) {
        this.cbdwdfwy = cbdwdfwy;
    }

    @Override
    public String toString() {
        return "ProposalInfo{" +
                "proposalId=" + proposalId +
                ", proposalUserId=" + proposalUserId +
                ", proposalNumber='" + proposalNumber + '\'' +
                ", title='" + title + '\'' +
                ", proposalName='" + proposalName + '\'' +
                ", proposalPhone='" + proposalPhone + '\'' +
                ", boundary='" + boundary + '\'' +
                ", partyAffiliation='" + partyAffiliation + '\'' +
                ", contactAddress='" + contactAddress + '\'' +
                ", categoryId=" + categoryId +
                ", categoryName='" + categoryName + '\'' +
                ", proposalType='" + proposalType + '\'' +
                ", proposalContent='" + proposalContent + '\'' +
                ", isJointly='" + isJointly + '\'' +
                ", isPublicity='" + isPublicity + '\'' +
                ", contentPublicity='" + contentPublicity + '\'' +
                ", isSurvey='" + isSurvey + '\'' +
                ", isFirst='" + isFirst + '\'' +
                ", isPerson='" + isPerson + '\'' +
                ", isRecord='" + isRecord + '\'' +
                ", negotiateType='" + negotiateType + '\'' +
                ", proposedContractor='" + proposedContractor + '\'' +
                ", proposalProgress='" + proposalProgress + '\'' +
                ", rollingProcess='" + rollingProcess + '\'' +
                ", complexType='" + complexType + '\'' +
                ", isCasesTogether='" + isCasesTogether + '\'' +
                ", uniteProposalId=" + uniteProposalId +
                ", satisfaction='" + satisfaction + '\'' +
                ", membersOpinion='" + membersOpinion + '\'' +
                ", zxSatisfaction='" + zxSatisfaction + '\'' +
                ", zxOpinion='" + zxOpinion + '\'' +
                ", isKeyPoint='" + isKeyPoint + '\'' +
                ", keyPointArgument='" + keyPointArgument + '\'' +
                ", isOutstanding='" + isOutstanding + '\'' +
                ", outstandingArgument='" + outstandingArgument + '\'' +
                '}';
    }
}
